## pugl 0~svn32%2Bdfsg0

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure \
		--prefix=/usr \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--strict \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_auto_clean:
	$(WAF) distclean
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_strip:
	dh_strip -plibpugl-0-0 --dbg-package=libpugl-dbg
	dh_strip --remaining-packages

# No tests available
override_dh_auto_test:

## pugl 0~svn32+dfsg0

=== wscript ===
#!/usr/bin/env python
import glob
import os
import sys

from waflib.extras import autowaf as autowaf
import waflib.Logs as Logs, waflib.Options as Options

# Version of this package (even if built as a child)
PUGL_VERSION       = '0.0.0'
PUGL_MAJOR_VERSION = '0'

# Library version (UNIX style major, minor, micro)
# major increment <=> incompatible changes
# minor increment <=> compatible changes (additions)
# micro increment <=> no interface changes
# Pugl uses the same version number for both library and package
PUGL_LIB_VERSION = PUGL_VERSION

# Variables for 'waf dist'
APPNAME = 'pugl'
VERSION = PUGL_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    if Options.platform == 'win32':
        opt.load('compiler_cxx')
    autowaf.set_options(opt)
    opt.add_option('--test', action='store_true', default=False, dest='build_tests',
                   help="Build unit tests")
    opt.add_option('--static', action='store_true', default=False, dest='static',
                   help="Build static library")
    opt.add_option('--shared', action='store_true', default=False, dest='shared',
                   help="Build shared library")

def configure(conf):
    conf.load('compiler_c')
    if Options.platform == 'win32':
        conf.load('compiler_cxx')
    autowaf.configure(conf)
    autowaf.display_header('Pugl Configuration')

    if conf.env['MSVC_COMPILER']:
        conf.env.append_unique('CFLAGS', ['-TP', '-MD'])
    else:
        conf.env.append_unique('CFLAGS', '-std=c99')

    # Shared library building is broken on win32 for some reason
    conf.env['BUILD_TESTS']  = Options.options.build_tests
    conf.env['BUILD_SHARED'] = (Options.platform != 'win32' or
                                Options.options.shared)
    conf.env['BUILD_STATIC'] = (Options.options.build_tests or
                                Options.options.static)

    autowaf.define(conf, 'PUGL_VERSION', PUGL_VERSION)
    conf.write_config_header('pugl_config.h', remove=False)

    conf.env['INCLUDES_PUGL'] = ['%s/pugl-%s' % (conf.env['INCLUDEDIR'],
                                                 PUGL_MAJOR_VERSION)]
    conf.env['LIBPATH_PUGL'] = [conf.env['LIBDIR']]
    conf.env['LIB_PUGL'] = ['pugl-%s' % PUGL_MAJOR_VERSION];

    autowaf.display_msg(conf, "Static library", str(conf.env['BUILD_STATIC']))
    autowaf.display_msg(conf, "Unit tests", str(conf.env['BUILD_TESTS']))
    print('')

def build(bld):
    # C Headers
    includedir = '${INCLUDEDIR}/pugl-%s/pugl' % PUGL_MAJOR_VERSION
    bld.install_files(includedir, bld.path.ant_glob('pugl/*.h'))

    # Pkgconfig file
    autowaf.build_pc(bld, 'PUGL', PUGL_VERSION, PUGL_MAJOR_VERSION, [],
                     {'PUGL_MAJOR_VERSION' : PUGL_MAJOR_VERSION})

    libflags  = [ '-fvisibility=hidden' ]
    framework = []
    libs      = []
    if Options.platform == 'win32':
        lang       = 'cxx'
        lib_source = ['pugl/pugl_win.cpp']
        libs       = ['opengl32', 'glu32', 'gdi32', 'user32']
        defines    = []
    elif Options.platform == 'darwin':
        lang       = 'c'  # Objective C, actually
        lib_source = ['pugl/pugl_osx.m']
        framework  = ['Cocoa', 'OpenGL']
        defines    = []
    else:
        lang       = 'c'
        lib_source = ['pugl/pugl_x11.c']
        libs       = ['X11', 'GL', 'GLU']
        defines    = []
    if bld.env['MSVC_COMPILER']:
        libflags = []

    # Shared Library
    if bld.env['BUILD_SHARED']:
        obj = bld(features        = '%s %sshlib' % (lang, lang),
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  lib             = libs,
                  framework       = framework,
                  name            = 'libpugl',
                  target          = 'pugl-%s' % PUGL_MAJOR_VERSION,
                  vnum            = PUGL_LIB_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines,
                  cflags          = libflags + [ '-DPUGL_SHARED',
                                                 '-DPUGL_INTERNAL' ])

    # Static library
    if bld.env['BUILD_STATIC']:
        obj = bld(features        = '%s %sstlib' % (lang, lang),
                  export_includes = ['.'],
                  source          = lib_source,
                  includes        = ['.', './src'],
                  lib             = libs,
                  framework       = framework,
                  name            = 'libpugl_static',
                  target          = 'pugl-%s' % PUGL_MAJOR_VERSION,
                  vnum            = PUGL_LIB_VERSION,
                  install_path    = '${LIBDIR}',
                  defines         = defines,
                  cflags          = ['-DPUGL_INTERNAL'])

    if bld.env['BUILD_TESTS']:
        test_libs   = libs
        test_cflags = ['']

        # Unit test program
        obj = bld(features     = 'c cprogram',
                  source       = 'pugl_test.c',
                  includes     = ['.', './src'],
                  use          = 'libpugl_static',
                  lib          = test_libs,
                  framework    = framework,
                  target       = 'pugl_test',
                  install_path = '',
                  defines      = defines,
                  cflags       = test_cflags)

def lint(ctx):
    subprocess.call('cpplint.py --filter=+whitespace/comments,-whitespace/tab,-whitespace/braces,-whitespace/labels,-build/header_guard,-readability/casting,-readability/todo,-build/include src/* pugl/*', shell=True)

from waflib import TaskGen
@TaskGen.extension('.m')
def m_hook(self, node):
    "Alias .m files to be compiled the same as .c files, gcc will do the right thing."
    return self.create_compiled_task('c', node)

=== debian/changelog ===
pugl (0~svn32+dfsg0-3) unstable; urgency=medium

  * QA upload.
  * Switch to python3 waf, and twiddle wscript. Closes: #937337
  * Add libgl-dev build-dep.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 19 Dec 2019 16:04:40 +0000

pugl (0~svn32+dfsg0-2) unstable; urgency=medium

  * QA upload.
  * Orphaning this.

 -- Alessio Treglia <alessio@debian.org>  Sat, 20 Feb 2016 21:53:40 +0000

pugl (0~svn32+dfsg0-1) unstable; urgency=low

  * Initial release. (Closes: #673906)

 -- Alessio Treglia <alessio@debian.org>  Tue, 22 May 2012 00:45:44 +0200

=== debian/control ===
Source: pugl
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.3
Build-Depends:
 debhelper (>= 9),
 libgl-dev,
 libglu1-mesa-dev,
 libxt-dev,
 python3,
 xsltproc
Homepage: http://drobilla.net/software/pugl/

Package: libpugl-0-0
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: portable API for OpenGL graphical interfaces
 Pugl is a minimal portable API for OpenGL GUIs which supports
 embedding and is suitable for use in plugins, but can also be
 used for programs.
 .
 Pugl is vaguely similar to GLUT, but with some significant
 distinctions:
  * Minimal in scope, providing only what is necessary to draw
    and receive keyboard and mouse input.
  * No reliance on static data whatsoever, so the API can be
    used in plugins or multiple independent parts of a program.
  * Single implementation, which is small, liberally licensed
    and suitable for direct inclusion in programs if avoiding a
    library dependency is desired.
  * Support for embedding in other windows, so Pugl code can
    draw to a widget inside a larger GUI.
  * More complete support for keyboard input, including
    additional “special” keys, modifiers, and support for
    detecting individual modifier key presses.

Package: libpugl-dev
Section: libdevel
Architecture: any
Depends:
 libglu1-mesa-dev,
 libpugl-0-0 (= ${binary:Version}),
 libxt-dev,
 ${misc:Depends}
Multi-Arch: same
Description: portable API for OpenGL graphical interfaces (headers)
 Pugl is a minimal portable API for OpenGL GUIs which supports
 embedding and is suitable for use in plugins, but can also be
 used for programs.
 .
 This package provides the development files.

Package: libpugl-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 libpugl-0-0 (= ${binary:Version}),
 ${misc:Depends}
Multi-Arch: same
Description: portable API for OpenGL graphical interfaces (debugging symbols)
 Pugl is a minimal portable API for OpenGL GUIs which supports
 embedding and is suitable for use in plugins, but can also be
 used for programs.
 .
 This package provides the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-WAF = ./waf
+WAF = python3 ./waf
 
 %:
 	dh $@
@@ -22,6 +22,7 @@
 override_dh_auto_clean:
 	$(WAF) distclean
 	find -name "*.pyc" -delete
+	find -name "__pycache__" | xargs rm -rf
 	dh_auto_clean
 
 override_dh_strip:

=== debian/watch ===
# Sources are taken from upstream SVN.
